=== debian/changelog ===
sqlitebrowser (3.7.0-1b2) staging; urgency=high

  * Increase version again to work around queue issues

 -- Philip Muškovac <yofel@kubuntu.org>  Sat, 19 Mar 2016 00:50:07 +0000

sqlitebrowser (3.7.0-1b1) staging; urgency=high

  * No-change rebuild against libqscintilla2-12v5

 -- Philip Muškovac <yofel@kubuntu.org>  Sat, 19 Mar 2016 00:50:07 +0000

sqlitebrowser (3.7.0-1) unstable; urgency=medium

  * New upstream version
  * Rebase patch
  * Add build-dep on libqt5scintilla2-dev
  * Remove most overrides, run tests using the new method

 -- Arto Jantunen <viiru@debian.org>  Sun, 20 Dec 2015 13:06:23 +0200
