## sqlitebrowser 3.8.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -12,12 +12,12 @@
 
 if(WIN32 AND MSVC)
 	if(CMAKE_CL_64)
-		set(QT5_PATH "E:/Qt64/Qt5.4.1/5.4/msvc2013_64")
+		set(QT5_PATH "E:/Qt64/Qt5.5.1/5.5/msvc2013_64")
 		set(SQLITE3_PATH "E:/libs/sqlite3_x64")
 		set(OPENSSL_PATH "E:/libs/openssl-1.0.2a-x64_86-win64")
 		set(VSREDIST "vcredist_x64.exe")
 	else()
-		set(QT5_PATH "E:/Qt/Qt5.4.1/5.4/msvc2013")
+		set(QT5_PATH "E:/Qt/Qt5.5.1/5.5/msvc2013")
 		set(SQLITE3_PATH "E:/libs/sqlite3")
 		set(OPENSSL_PATH "E:/libs/openssl-1.0.2a-i386-win32")
 		set(VSREDIST "vcredist_x86.exe")
@@ -87,6 +87,8 @@
 	src/ExportSqlDialog.h
 	src/SqlUiLexer.h
 	src/FileDialog.h
+	src/ColumnDisplayFormatDialog.h
+	src/FilterLineEdit.h
 )
 
 set(SQLB_SRC
@@ -116,6 +118,8 @@
 	src/ExportSqlDialog.cpp
 	src/SqlUiLexer.cpp
 	src/FileDialog.cpp
+	src/ColumnDisplayFormatDialog.cpp
+	src/FilterLineEdit.cpp
 )
 
 set(SQLB_FORMS
@@ -131,6 +135,7 @@
 	src/VacuumDialog.ui
 	src/CipherDialog.ui
 	src/ExportSqlDialog.ui
+	src/ColumnDisplayFormatDialog.ui
 )
 
 set(SQLB_RESOURCES
@@ -146,6 +151,7 @@
 # Translation files
 set(SQLB_TSS
 	"${CMAKE_SOURCE_DIR}/src/translations/sqlb_zh.ts"
+	"${CMAKE_SOURCE_DIR}/src/translations/sqlb_zh_TW.ts"
 	"${CMAKE_SOURCE_DIR}/src/translations/sqlb_de.ts"
 	"${CMAKE_SOURCE_DIR}/src/translations/sqlb_fr.ts"
 	"${CMAKE_SOURCE_DIR}/src/translations/sqlb_ru.ts"
@@ -314,9 +320,9 @@
 			${QT5_BIN_PATH}/Qt5Network.dll
 			${QT5_BIN_PATH}/Qt5PrintSupport.dll
 			${QT5_BIN_PATH}/Qt5Widgets.dll
-			${QT5_BIN_PATH}/icudt53.dll
-			${QT5_BIN_PATH}/icuin53.dll
-			${QT5_BIN_PATH}/icuuc53.dll
+			${QT5_BIN_PATH}/icudt54.dll
+			${QT5_BIN_PATH}/icuin54.dll
+			${QT5_BIN_PATH}/icuuc54.dll
 			${SQLITE3_DLL}
 			${OPENSSL_PATH}/libeay32.dll
 			${OPENSSL_PATH}/ssleay32.dll
@@ -334,7 +340,7 @@
 set(CPACK_PACKAGE_DESCRIPTION_FILE "${CMAKE_CURRENT_SOURCE_DIR}/README.md")
 set(CPACK_RESOURCE_FILE_LICENSE "${CMAKE_CURRENT_SOURCE_DIR}/LICENSE")
 set(CPACK_PACKAGE_VERSION_MAJOR "3")
-set(CPACK_PACKAGE_VERSION_MINOR "7")
+set(CPACK_PACKAGE_VERSION_MINOR "8")
 set(CPACK_PACKAGE_VERSION_PATCH "0")
 set(CPACK_PACKAGE_INSTALL_DIRECTORY "SqliteBrowser${CPACK_PACKAGE_VERSION_MAJOR}")
 if(WIN32 AND NOT UNIX)
