=== debian/changelog ===
sqlitebrowser (3.8.0-1) unstable; urgency=medium

  * New upstream version
  * Update patch 0001 to note that scintilla is now also used for the tests

 -- Arto Jantunen <viiru@debian.org>  Sat, 06 Aug 2016 16:52:40 +0300
