=== libs/qscintilla/Qt4Qt5/CMakeLists.txt ===
--- 
+++ 
@@ -8,6 +8,10 @@
     find_package(Qt4 COMPONENTS QtCore QtGui REQUIRED)
     include("${QT_USE_FILE}")
     add_definitions(${QT_DEFINITIONS})
+endif()
+
+if(APPLE AND USE_QT5)
+    find_package(Qt5MacExtras)
 endif()
 
 add_definitions(-DSCINTILLA_QT)
@@ -154,5 +158,9 @@
 add_library(qscintilla2 ${QSCINTILLA_SRC} ${QSCINTILLA_HDR} ${QSCINTILLA_MOC_HDR} ${QSCINTILLA_MOC})
 
 if(USE_QT5)
-    qt5_use_modules(qscintilla2 Widgets PrintSupport)
+    if (APPLE)
+        qt5_use_modules(qscintilla2 Widgets PrintSupport MacExtras)
+    else()
+        qt5_use_modules(qscintilla2 Widgets PrintSupport)
+    endif()
 endif()
