=== debian/changelog ===
sqlitebrowser (3.9.1-2) unstable; urgency=medium

  * Remove the menu file
  * USe https url's in the Vcs fields
  * Bump Standards-Version to 3.9.8.0
  * Upgrade to Debhelper 10

 -- Arto Jantunen <viiru@debian.org>  Sun, 25 Dec 2016 13:09:47 +0200

sqlitebrowser (3.9.1-1) unstable; urgency=medium

  * New upstream version
  * Rebase patch
  * Add patch to remove spaces from the CMake project name

 -- Arto Jantunen <viiru@debian.org>  Thu, 10 Nov 2016 22:42:48 +0200
