=== debian/control ===
--- 
+++ 
@@ -2,11 +2,11 @@
 Section: database
 Priority: extra
 Maintainer: Arto Jantunen <viiru@debian.org>
-Build-Depends: debhelper (>= 9), qtbase5-dev, libsqlite3-dev, cmake, libantlr-dev, libqcustomplot-dev, qttools5-dev, qttools5-dev-tools, libqt5scintilla2-dev
-Standards-Version: 3.9.6.0
+Build-Depends: debhelper (>= 10), qtbase5-dev, libsqlite3-dev, cmake, libantlr-dev, libqcustomplot-dev, qttools5-dev, qttools5-dev-tools, libqt5scintilla2-dev
+Standards-Version: 3.9.8.0
 Homepage: http://sqlitebrowser.org/
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/sqlitebrowser.git
-Vcs-Git: git://anonscm.debian.org/collab-maint/sqlitebrowser.git
+Vcs-Browser: https://anonscm.debian.org/gitweb/?p=collab-maint/sqlitebrowser.git
+Vcs-Git: https://anonscm.debian.org/git/collab-maint/sqlitebrowser.git
 
 Package: sqlitebrowser
 Architecture: any
