=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ --parallel 

override_dh_auto_configure:
	dh_auto_configure -- -DUSE_QT5=True -DENABLE_TESTING=True
